/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Bosses\Pumpkin King\ConjurersTrinket.cs
Lines of code: 32
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class ConjurersTrinket : BaseTalisman
	{

		public override int LabelNumber{ get{ return 1094800; } } // Conjurer's Trinket
	
		[Constructable]
		public ConjurersTrinket() : base(0x2F58)
		{
		Hue=1461;

		Slayer = SlayerName.Silver;
		Attributes.BonusStr = 1;			
		Attributes.RegenHits = 2;
		Attributes.AttackChance = 10;
		Attributes.WeaponDamage = 20;
		}

		public ConjurersTrinket( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();


		}
	}
	
}